import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const poultryAutoRequestService = createAsyncThunk(
  "POULTRY_AUTO_REQUEST_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("automatic_kill_request/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
